unclear error when lanman authentication is refused on the server

Bug #209520 reported by Tien Nguyen on 2008-03-31
180
This bug affects 7 people
Affects Status Importance Assigned to Milestone
gvfs
Expired
Medium
gvfs (Ubuntu)
Low
Ubuntu Desktop Bugs
Hardy
High
Unassigned
nautilus (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
samba (Ubuntu)
Undecided
Unassigned
Hardy
High
Steve Langasek

Bug Description

Binary package hint: nautilus

I just updated Ubuntu 8.04.
Whenever I make a connection to the Window share, I got this error dialog:

Unable to mount location
Failed to mount Windows share

With and OK button.

ProblemType: Bug
Architecture: i386
Date: Sun Mar 30 21:19:59 2008
DistroRelease: Ubuntu 8.04
ExecutablePath: /usr/bin/nautilus
NonfreeKernelModules: nvidia
Package: nautilus 1:2.22.1-0ubuntu1
PackageArchitecture: i386
ProcEnviron:
 PATH=/home/username/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: nautilus
Uname: Linux 2.6.24-12-generic i686

TEST CASE:

1) install the samba package
2) configure 'security = share' and 'lanman auth = yes' in the [globals] section of /etc/samba/smb.conf
3) add a user account to the server (e.g., with 'sudo adduser user')
4) set a password for this (insecure!) account with 'sudo smbpasswd user'
5) add a share which points to this user, e.g.:
  [user]
        comment = Test share
        path = /home/user
        writable = yes
        guest ok = no
        user = user
6) with the hardy version of the libsmbclient package installed, test the following:
  a) smbclient //localhost/user
        should return
     Server not using user level security and no password supplied.
     Server requested LANMAN password (share-level security) but 'client use lanman auth' is disabled
  b) nautilus smb://localhost/user
        should prompt for a password, and, even when entered correctly, return
     Couldn't display "smb://localhost/user"
     Error: Failed to mount Windows share
     Please select another viewer and try again.
7) install the libsmbclient package from hardy-proposed
8) both of the above two tests should now succeed
9) set 'client lanman auth = no' in /etc/samba/smb.conf
10) confirm that both of the above tests again fail when the config is overridden

Tien Nguyen (tienhn) wrote :
Wilco Baan Hofman (wilco) wrote :

I can confirm this problem on hardy.

It may be caused by me not getting a username/password dialog when connecting to smb://server. When not using kerberos I see no shares (could be because I only allow users to view shares *after* authentication) and samba server-side has "restrict anonymous" set to "1". Which means that listing the shares requires a logon.

I can only view the shares if I create a kerberos ticket. After that I can see the shares, but when I click on one, I get the above mentioned error.

With kerberos:
gnomevfs-ls smb://server works.
After that gnomevfs-ls smb://server/share also works.

without kerberos:
gnome-vfs-ls smb://server asks for username and password
After that gnome-vfs-ls smb://server/share also works.

It would appear that nautilus smb support is broken in hardy somehow, at least for authenticated smb support.

Note that this used to work in feisty and gutsy.

Changed in nautilus:
status: New → Confirmed
Wilco Baan Hofman (wilco) wrote :

Just seen that this problem occurs because of the switch to gvfs in nautilus.

gvfs-ls smb://server shows absolutely nothing. Even after mounting smb://server or smb://username@server. Same for gvfs-ls smb://username@server.

Browsing doesn't work in nautilus at all. Even when using kerberos mounting smb://server/share doesn't work. Only smb://username@server/share works.

After this is mounted gvfs-ls smb://username@server/share shows the proper directories. However in nautilus this doesn't work.

Browsing from "computer:" using the "share on server.mount" doesn't work with nautilus. Could be because the username isn't supplied in the mount file.

gvfs-mount -l shows "Mount(0): share on server -> smb://server/share" instead of smb://username@server/share. Not that I think username@ should be needed in this case, it's just plain stupid IMHO.

Tien Nguyen (tienhn) wrote :

May I also add that:
1/ It used to work fine on 7.10
2/ I still can use smbmount command to mount the Windows shares and then browse the folders/files using nautilus. Works fine.
3/ Not all Windows share give me the same problem. I have shares served by a Windows 2003 server and it works but shares served by the file server box (DLink DGM-660) are having problem. Even though they all work fine under 7.10.

sgabinato (sgabinato) wrote :

I confirm this problem exactly to user Wilco Baan Hofman.

Nautilus stopped to work after the 8.04-alfa-3 release.
If I mount the shareres folders in the shell, nautilus work fine.

No problem to works on Debian unstable (sid) and Gutsy.

My shares served is debian 4.0r1 stable version.

I confirm the exact same problem. Used to work in 7.10, just upgraded to test 8.04 and unable to mount windows share.

It seems a quite important problem for users who are running ubuntu at work when the network is a windows one.

cbrfahm (cbrahm) wrote :

I can browse WIndows Share, but hen i try my server running ubuntu 7.1 I can see all the share foldes but cant mount them.

Steve Langasek (vorlon) on 2008-04-14
Changed in gvfs:
importance: Undecided → High
Simon Wenner (nowic) wrote :

I confirm this problem with Nautilus 2.22.2-0ubuntu3.

My debian server runs with "security = share". All public directories work fine but the shared home directories which require authentication don't work anymore with nautilus in ubuntu hardy. Windows XP has no problems with these shares.

[homes]
comment = Home Directories
valid users = %S
read only = No
browseable = No

pclapham (paul-bpages) wrote :

I can verify that this is also happening for me. It used to work in the previous version but not for Hardy.

This needs to be sorted out before the release in 5 days, or with an update asap.

Sebastien Bacher (seb128) wrote :

several issue seem to be described there which make the work harder now.

connecting to an user directory on a ubuntu samba server using security share works correctly once smbpasswd has been used to define the samba password for the corresponding user, not confirming the issue. could you describe exactly how you configure your server and what steps you use in GNOME? Did you try to use "gvfs-mount smb://smbname/share"? Do you have anything in the server logs? Does smbclient works correctly?

Bálint Magyar (balintm) wrote :

Sebastien, I have some of the info you requested in your post above in duplicate bug #215570.

wolfwitch (wolf-mylunarden) wrote :

I wanted to chime in since I opened a similar bug that apparently got deleted as a dupe...

For me, the situation is this:

Prior to Hardy, I could browse my corporate Active Directory SMB shares using Nautilus. I was prompted for my login and password if I hadn't previously accessed a share, saved it to my keyring, and from that point on had no problem accessing any share I needed to (and had permissions for). I could simply browse any server similar to "Network Neighborhood" in Windoze.

After upgrading to Hardy, that is no longer the case. I can see the servers, but as soon as I try to open one- I get an empty container and my AD account gets locked out. Apparently Nautilus is trying to access the shares with a bad or no password. It does still seem to be using my login name (since I'm getting locked out of the AD network). If it matters- my Ubuntu login password is different from my AD login.

Note too: While the problem with Microsoft AD is the biggest one I see, I have the same problem on my small home network that uses SMB on a LInux server. I can no longer browse shares on it either.

I CAN manually mount an SMB share, although sometimes I get an error:
Can't display location "smb://windowsserver/"
No application is registered as handling this file.

It is necessary on a manual mount to actually specify the share name. I can't just mount a server to have easy access to all shares on it, like I used to in Gutsy (and Feisty, and I believe Edgy).

Even with the error- the share shows up on my desktop (and in Places) and I can access it for a time. It seems to timeout after about a half-hour of inactivity though, and then I have to manually mount it again (something else that wasn't happening before). For example- if I open a spreadsheet on a share, and spend a half hour or so editing it, when I try to save it- I have to enter my username and password again.

I think the problem is Nautilus or gvfs doesn't seem to be prompting for user credentials if it cannot access a share like it used to. It also doesn't seem to be caching them very well anymore when it does (through a manual mount). I tried deleting my gnome keyring, so it shouldn't be using a saved password anymore (and even if it was- it should be working since I haven't changed it).

I don't know if any of this helps, but that's my experience. I'll gladly provide any information I can if it helps get this fixed. This is a big deal for anyone using or trying to use Ubuntu in a corporate environment, most of which run Microsoft AD.

wolfwitch (wolf-mylunarden) wrote :

Quick clarification:

This problem only seems to apply to authenticated SMB shares. Shares that do not require authentication work fine.

Tien Nguyen (tienhn) wrote :

Sebastian,
When I used gvfs-mount, I got:

gvfs-mount smb//my-host/my-share
Error mounting location: volume doesn't implement mount

There is nothing in the dmesg.

Sebastien Bacher (seb128) wrote :

the credential issues on active directory and similar is bug #207072, gvfs doesn't ask for credential to do browsing which is a known bug and something which we agree should be fixed in hardy updates

Sebastien Bacher (seb128) wrote :

there is a syntax error in your gvfs-mount call before

Tien Nguyen (tienhn) wrote :

Sebastien,
Sorry about the error! Here is the result I got:

gvfs-mount smb://my-host/my-share
Password required for share my-share on my-host
User [myuser]:
Domain [MSHOME]:
Password:
Error mounting location: Failed to mount Windows share

I have checked and the user name and passwird are correct. I use the smbmount command fine with this name and password.

spo0ner (christopher-pace) wrote :

Being that 8.04 is 3 days away from final release, will this issue be addressed by then?
Is there a work-around I can find for this issue?

I'm having a similar problem in that all my 7.10 systems can connect fine utilizing Places -> Connect to Server -> Windows Share but all the 8.04 systems get the aforementioned error message.

Paolo (paolo.ambrosio) wrote :

I have a password protected Samba (Debian Sid) share perfectly working with Windows hosts and Ubuntu Gutsy.

On Hardy...

If I use Nautilus to browse the Windows Network smb://server/ and click on the folder "homes" I get:

Unable to mount location
Failed to mount Windows share

Typing smb://server/homes/ (or smb://blues@server/homes/) on the Nautilus bar I get:

Couldn't display "smb://server/homes/".
Error: Failed to mount Windows share
Please select another viewer and try again.

gvfs-mount works good and without asking for my password, since it is already in the keyring, but the file count looks suspicious:

$ gvfs-mount smb://blues@server/homes/
$ gvfs-mount -l
[...]
Mount(0): homes on server -> smb://server/homes/
$ gvfs-ls -l smb://blues@server/homes/
osm2pgsql-0.50.20071211 0 (directory)
osm2pgsql_0.50.20071211-1.diff.gz 2632 (regular)
[...]
$ ls -l .gvfs/homes\ on\ server/
total 0
drwx------ 1 blues blues 0 2008-04-05 17:42 osm2pgsql-0.50.20071211
-rwx------ 1 blues blues 2632 2007-12-11 22:02 osm2pgsql_0.50.20071211-1.diff.gz
[...]

I see the "homes on server" icon on the desktop BUT clicking on it simply gives me the usual "Unable to mount location" error. I can unmount it from the desktop though.

Hope it helps.

Paolo

Sebastien Bacher (seb128) wrote :

how is the share configured? having a standard way to trigger the bug would make debugging easier. the bug is no likely to be fixed for hardy no, but it'll be fixed in hardy-updates once debugged

Paolo (paolo.ambrosio) wrote :

Attached you can find my samba server (3.0.28a) configuration

Paolo (paolo.ambrosio) wrote :

I just realized that smb://server/blues/ works from Nautlius as expected. The problem is with the special share smb://server/homes/ only!

Joo (joo.tsao) wrote :

me too.

David Schaller (bach-leipzig) wrote :

This bug is a deal-breaker for me. I do not plan to upgrade to Hardy until this is fixed. With every release since 5.10 I've had various troubles with Nautilus browsing and/or mounting samba network shares. I've found workarounds in the past, but I was hoping this stuff would all be coming together a little better by now. I can post my smb.conf file if that would help anyone to debug this. I can access my shares with 6.10, but not with 8.04.

Sebastien Bacher (seb128) wrote :

the bug starts collecting random doesn't work issues and is almost not workable now, could everybody open new bugs and not assume that everybody get the same issue so we can identify the bugs an duplicate things which are similar

the informations that can be useful:
- when you share an user directory, did you use smbpasswd to set a password for the corresponding user?
- can you access to the '/' directory on the server?
- do you use a directory which has different rights for anonymous and authentificated users?
- can you browse the share using an another os or ubuntu version?
- what server do you try to use?
- does smbclient on hardy success to connect?

Wilco Baan Hofman (wilco) wrote :

- when you share an user directory, did you use smbpasswd to set a password for the corresponding user?
I have a setup with LDAP, but same thing really. security = user. restrict anonymous = 1, share only visible and accessible for authenticated users.
- can you access to the '/' directory on the server?
If you mean smb://server/ then no, but that's the browsing issue.
- do you use a directory which has different rights for anonymous and authentificated users?
Yes. Not visible for anonymous (like homes) and also not able to connect to as anonymous user.
- can you browse the share using an another os or ubuntu version?
Yes, ubuntu < hardy, windows
- what server do you try to use?
Samba
- does smbclient on hardy succeed to connect?
Yes

See my comments about what fails and works with gvfs, as opposed to gnomevfs

Wilco Baan Hofman (wilco) wrote :

gvfs-mount smb://server/homes doesn't work. likely because valid users = %S is active, which means that this is as it was intended.
gvfs-mount smb://server/username works for me.

Also, I might add that it boils down to at least three (very much related) issues:

- Authenticated browsing, because:
* gvfs-mount smb://server/share doesn't work, likely because an anonymous bind on this share results in the share not found error, instead of authentication failed, because the anonymous user can't see this share.

- Authentication when connecting
* Anonymous bind should only be used as fallback.
* username@ should not be needed, because it should ask for the username and password, and current username should be default.

- nautilus cannot work with username@ mounted shares
* Should not be needed anyway

Brian Morton (rokclimb15) wrote :

I am also having this problem. Clean installation of Hardy shows no shares available on a Windows file server. Used to work fine with this particular file server under Gutsy.

Mark O'Hare (mark-ohare) wrote :

I can also confirm this problem. On Gusty could see shares on Windows file server, after upgrade to hardy can no longer see any shares.

If I explicitly browse in nautilus (e.g. smb://servername/ ) I get to see all the shares on the server but smb:/// shows no machines.

Permanent mounts in fstab also fail to work. If I browse onto the share using Nautilus via smb://servername/ then the share is automatically mounted.

I am having a similar problem with Vista and XP. Ubuntu can see the Windows computers but when I click on them it fails to read the shared directories. Ubuntu shares with windows just fine. I can access all my Ubuntu shares on my Windows machines.

Also, when I try and launch Samba, it crashes. I suspect that it has something to do with it.

nikkopt (miguang) wrote :

Confirmed on hardy 64 bits here. Nautilus no longer asks for login information on an authenticated windows share. (NT_STATUS_LOGON_TYPE_NOT_GRANTED)
It works fine on konqueror and some smb apps like smb4k.
PS: my samba server also crashes.

ka1axy (ka1axy73) wrote :

Confirmed on Hardy Heron 8.04, with additional information:

If you attempt to connect to an authenticated SMB share, you get a blank window in Nautilus.

BUT:

If you append to the server name string, one of the available shared directories, you're asked if you want to allow access to the keyring. If you allow access, the directory mounts!

e.g.:

Places/Connect to Server/
Select SMB
Enter Server name

Nautilus window comes up, no subdirectories shown

append the name of one subdirectory to the "smb://servername/" in the location bar

"Allow access to keyring" box pops up, and, when "Allow" is clicked,

Contents of the specified shared directory appear, and it is shown as mounted in the "Tree" pane on the left.

fuzzypiggy (oracledba) wrote :

I had Gutsy, did and in place upgrade to Hardy and the problems started, I was unable to mount SMB shares from either trues Windows or Samba presented shares from a Gusty server.

If I simply enter a SMB server that is presenting shares, ie try to get a list of available shares, I get the error messges.

The only options I found worked were similar to the poster above.

Ensure you enter the correct servername/IP.
Ensure you enter the SMB share name.
Ensure you enter a username ( my internal network has no passwords for SMB shares, just usernames ).

It the comes up with the keyring dialogs and then presents the failure to mount shares on server X error dialog, but then brings up a nautilus window with the folders that are on the share! All seems very "up-in-the-air", but it usable the only niggle is you have to know the name of the shares, which means keeping a list to hand or going around back on SSH connection and listing the smb.conf.

wolfwitch (wolf-mylunarden) wrote :

I've noticed a couple of other things...

As said earlier- you can mount a share if you use "Places => Connect to server" and then use an actual share name. There is no way to browse shares through Nautilus. This is a real pain if you have a large network with lots of servers and shares.

After successfully authenticating, you get an error dialog:

Can't display location "smb://servername/sharename/"
The specified location is not mounted.

However- the location is in-fact mounted, and shows up in the Places menu afterwards. It also creates a desktop shortcut.

Another odd thing. If I click on the share in Places- it opens up in Nautilus, but it also creates ANOTHER entry in Places and on my desktop. So- for every share I mount and access- I get two entries in Places and two desktop shortcuts. I can unmount one of them to get rid of the clutter, but it is just really odd.

nikkopt (miguang) wrote :

kalaxy's "trick" does work.
I also noticed that, in my case the problem is only displaying the shared folder/drives.

Example:

smb://3rsys/ in nautilus shows a blank screen, but adding d$ (example of shared drive) or a shared folder name works.. (login window appears and the volume is mounted), without the need of using the "Connect to server" window in "Places" menu. (smb://3rsys/d$/)

gticlayauri (gticlayauri) wrote :

Hello,

I had the same problem in Ubuntu 8.04, try this: In smb.conf add these lines into [Global] configuration (don't forgot make backup of smb.conf):

client ntlmv2 auth = no
client lanman auth = yes
client plaintext auth = yes

Then restart samba with sudo /etc/init.d/samba restart. That works for me. If it doesn't work type in your terminal:

$ smbclient -L //server/service

and add here the response to study.

Lucky,

Giancarlo

Mark O'Hare (mark-ohare) wrote :

I added the changes suggested by gticlayauri to smb.conf and did a samba restart but it made no difference.

Still cannot:
- auto mount samba window shares
- nautilius smb:/// returns no machines on network

In nautilius smb://servername/ shows the available shares. Double click on a share and it is auto mounted following a keyring authentication request.

Pls added your smb.conf

El mié, 30-04-2008 a las 16:03 +0000, Mark O'Hare escribió:

> I added the changes suggested by gticlayauri to smb.conf and did a samba
> restart but it made no difference.
>
> Still cannot:
> - auto mount samba window shares
> - nautilius smb:/// returns no machines on network
>
> In nautilius smb://servername/ shows the available shares. Double click
> on a share and it is auto mounted following a keyring authentication
> request.
>

Giancarlo,

As requested I have attached my smb.conf file.

Let me know if you need any more info.

Many thanks,
Mark

I'm having the same issue: not able to browse or mount a windows share.
My windows share is actually a ubuntu 7.10 setup as a windows share (for other purposes).

my gutsy laptop is able to access this share!
my hardy laptop says : Failed to mount Windows share

Yuri Glushkov (yglushkov) wrote :

Looks like the problem is that the nautilus somehow bypasses user name and password entry dialog while trying to mount a windows share.
At my machine gnome commander is able to browse the same shares after supplying the correct password, while nautilus shows empty directories without asking for user name/password.

Spoonman (dr-terisch) wrote :

I also confirm this bug,
 after upgrading to hardy i can not access the shares on my windows xp pro machine anymore. if it is the password issue it looks in a way similar to the bug in ftp handling https://bugs.launchpad.net/ubuntu/+source/gvfs/+bug/218735
also i experience that my wlan connection needs to be reconfigured (just reenter the password) after each reboot. if roaming mode is used it does not work more than 20 secs, then i have to configure it. i know this looks like something completely different but to me it shows some paralells...

pvanderploeg (pieter-nescio) wrote :

In response to wolfwich:

--- quote
I've noticed a couple of other things...
As said earlier- you can mount a share if you use "Places => Connect to server" and then use an actual share name. There is no way to browse shares through Nautilus. This is a real pain if you have a large network with lots of servers and shares.
After successfully authenticating, you get an error dialog:
Can't display location "smb://servername/sharename/"
The specified location is not mounted.
However- the location is in-fact mounted, and shows up in the Places menu afterwards. It also creates a desktop shortcut.
Another odd thing. If I click on the share in Places- it opens up in Nautilus, but it also creates ANOTHER entry in Places and on my desktop. So- for every share I mount and access- I get two entries in Places and two desktop shortcuts. I can unmount one of them to get rid of the clutter, but it is just really odd.
--- unquote

I see the same odd behaviour, but only if I fill in the username in the "Connect to Server" dialogbox. If I leave username open (and press Connect)I get another dialogbox where I can fill in a username and password. Doing so connects me to the windows share and onlyh one link on the desktop. BTW I am not using a windows-share but an samba share on an Ubuntu server and I upgraded my laptop from gutsy to hardy.

wolfwitch (wolf-mylunarden) wrote :

@pvanderploeg

I hadn't tried not including a username. My experience with Windows shares anyway is that I have to include both a username and domain name- or I don't get prompted for a password and get locked out of the domain (by Active Directory).

The problem is the same on my home Samba server running CentOS (with authenticated shares), which backs up your experience with Samba on Ubuntu. I believe the issue is within gvfs or nautilus, and has nothing to do with Samba. Frankly- there are so many bugs open for this right now- I've lost track. :)

Tien Nguyen (tienhn) wrote :

@Sebastien Bacher

I think I found the reason why gvfs on Hardy failed to connect to a Samba or Windows share:

1/ On the server side, if the security mode in sbm.conf is set to "user" then Hardy client can connect using gvfs just fine.
2/ If on the server side, the security mode is "share" then Hardy client that use gvfs will have problem.
3/ On the Gusty client, it can make the connection as smb://server/share in either cases.

I tested by changing the single line in the sbm.conf file, in the [global] section:

security = user

into

security = share

then all Hardy client can not authenticate any more.

So, for now, if anyone run your own Samba server then the work around would be to use "security = users".

Hope this helps and looking forward to the fix.

Cheers,

Tien Nguyen (tienhn) wrote :

In my previous post I mentioned:
----------
the work around would be to use "security = users".
---------

I meant:
-----------
the work around would be to use "security = user".
-----------

Spoonman (dr-terisch) wrote :

this seems not to be entirely true for me since i had "security = user" anyway.

avpap (avpap) wrote :

I'm having the same bug problem with the Windows shares through Nautilus. Any new on that? Someone must fix this because it is very very important for everyone!

burton82 (bburton82) wrote :

I agree with that.. we have many problems here right now.... :-( . Bug has to be critical..

Barry Staes (barrystaes) wrote :

What wolfwitch said in his last post. I experience this problem since upgrading Feisty to Hardy.

Short recap:

Error message immediately after mounting:
> Can't display location "smb://172.19.1.20/public/"
> The specified location is not mounted

Works fine though. Bookmarks are made for every single access to the share, yet lost when rebooting.

DrC (drcowsley) wrote :

Some detail hoping it will help:

NB - the reports above resonate with my experience, but I thing the Subject line is misleading. I am filing my report here because I believe it is easier to spot a different bug posted as the same, than to find the same bug posted as different. Be kind to me - I mean well ;)

All my samba servers have (amongst others) a public share (Samba logs me on as nobody, nogroup if credentials are not supplied) and a user share which (naturally) needs credentials.

I too get the 'not mounted' message but this is a timing problem - after getting the message I invariably find the share is now mounted, whether the public share or my user share.

User shares give no problem as far as I can see. My credentials are collected and it all works.

Public shares give a problem if my credentials are needed. For instance, in the public share is a staff_only folder. Even when I try to connect to public giving my user name, I end up as nobody, nogroup and so, of course, I cannot get into the staff_only folder. Hardy does not ask me for credentials.

If I try to connect giving the staff_only folder as well as my user share name, Hardy does ask for my credentials. However, Hardy seems not to use them, and I still end up as nobody, nogroup and still cannot get into the folder.

It seems as though Hardy looks to see if credentials are required, and if not, will not present them.

The change I would hope to see is a reversion to Feisty-Gutsy behaviour which I never noticed because it just worked, but I think credentials were presented to samba if they were required OR IF THEY WERE OFFERED.

If I give no UserName when connecting, I expect to be nobody, nogroup
If I give a user name I expect my credentials to be verified with samba (currently they are not) and then to be username,primarygroup, even when connecting to a public share.

My Sambas range from an old Mandrake to the latest Debian.

Let me know if you need any config files etc.

Chris

marco48 (mgarav) wrote :

Other info: shared public directory on w2k3 server with more than 60 files give error. "Impossibile mostrare tutto il contenuto di «temp»: Argomento non valido"

As Sebastien has already noted, it is important to be able to track unrelated bugs in separate reports so that we can clearly see when a given bug has been addressed. Currently, there are two bugs related to nautilus SMB support which are being tracked for updates to Ubuntu 8.04. One is that nautilus does not prompt for authentication information when browsing shares on a server; this is tracked as bug #207072. The other is that nautilus doesn't connect successfully if using security=share; that bug is tracked here, and I've now updated the bug description to reflect this.

If you are experiencing any other symptoms besides those I've just described, please, do *not* use either of these two bug reports to discuss it. Instead, please file a new bug report, and follow up here with a pointer to the new bug and a (brief) description of your problem.

Changed in nautilus:
milestone: none → ubuntu-8.04.1
DrC (drcowsley) wrote :

Steve -

Thanks for the clarification.

a) Do I need to repost in the 207072 thread or will the information already have got there?

b) If I should repost, Is mine a different bug or is it a consequence of the same bug? Even having asked for authentication, nautilus does not always offer/use it.

Chris

Matt Miller (paintitmatt) wrote :

I cannot connect to samba shares with my credentials via nautilus. We have several shares that are read-only by some groups and write-able by others. I cannot connect to shares I have write permissions to with nautilus. I used to put smb://<username>@server/share/ in the address bar and get prompted for a password in Gusty. This doesn't happen in Hardy.

enculturation (enculturation) wrote :

I'm just confirming this in Hardy. I didn't have this issue in any of the previous versions of Ubuntu, so this is completely new to me. Hopefully, this is corrected soon, as this is a major issue for me, and many other users I would imagine.

Patrick (oc3an) wrote :

I have precisely the same issue in Hardy, to be explicit:

Samba server running on Gutsy, group read-only permissions on a share, but write permissions for owner.

Using Gutsy/WinXP/Vista I can login and authenticate as a user and write.
Using Hardy I can't, it's like it always logs in as guest, even if you use the "Connect to Server..." dialog.

Connect to Server is broken too, as described in earlier posts.

Sebastien Bacher (seb128) wrote :

the authentification issue is bug #206439

nikkopt (miguang) wrote :

I see that the tittle has been changed.. well, in my case, the problem is just nautilus, i don't even have a samba server installed and i have "security = user" under smb.conf.
I just use this laptop (with hardy) to access a network computer (with windows XP) and it fails with nautilus (no login information is requested). I can access it trough other means, with konqueror for example..

leftkidney (colinchamilton) wrote :

I am also having this problem (and others like I want to use firefox 2.0 but I cant install extensions - yea I know how to do it now) and as a result I have gone back to 7.10

Kosm (jornderhoter) wrote :

Weird, some shares I can Access on 2003 server, and some I just get an empty screen. Does anybody know when this bug is fixed?

Tiago Faria (gouki) wrote :

Why isn't anyone paying attention to this? This is, for a big part of Ubuntu users, a critical problem.

Sebastien Bacher (seb128) wrote :

where did you get that nobody is paying attention to the issue? the issue is just not trivial to fix and the bug has a collection of different issues which doesn't make it easier to work, the bug has an hardy task open and there is several gvfs smb issue already on the 8.04.1 list

Sebastien Bacher (seb128) wrote :

could somebody describe exactly how to configure a server to get this issue? without a way to trigger the bug it's hard to debug it

chas3 (c-3) wrote :

I cannot access a windows 98 shared folder. All windows 98 requires is a password -- no username. I'm on 8.04 and never used anything older. Perhaps this is related to the issue.

Steve Bennett (pcs-settle) wrote :

It is easy to reproduce the bug, just connect an Ubuntu PC (8.04) to a network with an SBS2003 server and try (and fail) to open a Windows share - earlier versions work OK.

DrC (drcowsley) wrote :

Sebastien -

A recent update to Hardy seems to have eliminated one problem - that of only being able to see into a W2003 share by declaring a folder in it. In that respect Hardy now behaves as Gutsy did, and I can see the top level directories.

Possibly following the same release, I can now browse the 'Windows' network as I would expect. It's not a feature I use often (6 domain/workgroups, 400+ hosts) so I cannot be certain of the pre-mod state.

I have mixed W2003/old Mandrake/current Debian servers, 1000 users with 3 levels of security. The Windows severs are whatever they are, the Linux servers all configured 'security = user' and mostly PDCs. So not really relevant to this thread? though several symptoms seem to be shared,

For obvious reasons there is a limited amount of testing I can do, but if I have anything of value (to this or any other thread/bug) just ask.

I also have a much smaller scale but similar set up at home which I used to use to pilot development work. This home network is still pretty important to my family but I can and do play with it from time to time. Time is my problem, but if there's any way I can help you can always ask - I will say yes if I can. But bear in mind, please, that I'm a user rather than a builder.

I have a half term break next week - when I will not be on the big network.

Chris

Tien Nguyen (tienhn) wrote :

@Sebastien Bacher

I posted this in my previous post but here it is again:

I think I found the reason why gvfs on Hardy failed to connect to a Samba share:

1/ On the server side, if the security mode in sbm.conf is set to "user" then Hardy client can connect using gvfs just fine.
2/ If on the server side, the security mode is "share" then Hardy client that use gvfs will have problem.
3/ On the Gusty client, it can make the connection as smb://server/share in either cases.

I tested by changing the single line in the sbm.conf file, in the [global] section:

security = user

into

security = share

then all Hardy client can not authenticate any more.

So, for now, if anyone run your own Samba server then the work around would be to use "security = user".

Hope this helps and looking forward to the fix.

Cheers,

Steve Bennett (pcs-settle) wrote :

Just installed all the latest updates and can now see shares on a Win2K machine on our network (that is NOT joined to the SBS2003 domain) but although I can see the SBS2003 server and and XP Pro client (that IS joined to the domain) I can not open either to see shares - just get a blank Window. No idea what's going on but hope this info is useful.

DrC (drcowsley) wrote :

I have a similar effect, but when browsing my Hardy identity is different from my Samba account identity. As a result I do not expect to see secure content or non-browsable shares.

We do not map samba passwords to nix passwords because some of our pupils are quite adventurous - so in that respect we may not be typical of users in general.

And since my setup is all 'security=user' I probably shouldn't even be posting here.

Chris

Sebastien Bacher (seb128) wrote :

the browsing and authentification issue is bug #207072

setting security = share is one thing but how do you configure shares? smb.conf has not configured shares by default

Could somebody describe exactly what he's doing on a stock installation to get a broken configuration? I don't have access to new win2003 servers to test this usecase

Jones D. Le (joneslee85) wrote :

I confirmed the bug, I got the same error when connecting to a share smb folder * that required authorization that retrieve from ActiveDirectory * .

Gualinux (cmosquera-grupo-tae) wrote :

I confirm that the procedure post by : gticlayauri wrote on 2008-04-30: (permalink) work for me.
First I remove an reinstall the samba. Then add the lines in the smb.conf file. With the gui I still cant see the pcs in the windows workgroup, but if I wrote in the nautilus smb://ip direction..... the shared foldes shows in the windows and I have access.
The shared folders are in Ubuntu 7.04 and Winows 98 SE.
Thanks gticlayauri.

nikkopt (miguang) wrote :

Steve Bennett, this bug is not exclusive to SBS2003, it affects any (i think) share that needs authentication. As i said earlier, i use nautilus to access some windows shares (xp pro and home). ps: i don't even have samba (server) installed, just the client.

i have attached a pic showing nautilus (not working) and konqueror, working after asking for login (or accessing the keyring (?)) and the config windows on a XP shared folder.

translations:

todos = all users
controlo total = total control
Permitir = allow
Negar = deny

nikkopt (miguang) wrote :

About my last comment, the problem with nautilus is just listing the shared folders, as you can see in the image smb://3rsys/ fails.. but if i write smb://3rsys/c$ for example, it opens the folder, hope this helps...

DrC (drcowsley) wrote :

Sebastien -

It helps visibility if you have a clean Desktop.
With a standard Samba-on-Debian server, from your Hardy client, as a valid samba user:

Places-Connect to Server
Service type: Windows share
Server name
Give a user home share name, the user name and connect.

You are asked for a password.

You get your personalised version of:
Can't display location "smb://ibm-debian/rosie/"

But notice there is now a desktop icon for the share. Click OK on the warning message.

Now doubleclick on the icon.
Depending on how you asked for your password to be remembered you might be asked for it again.

If the samba name is not the same as your Ubuntu user name (supplied as default) you will need to overwrite the user name to match the samba account name.
************************************
In a 'security = share' environment
this step could give users a problem.
************************************

You are now in. But note there is now a second icon on your desktop (not always obvious if your desktop is cluttered!)

These two icons look the same, but there is a subtle difference.

If you unmount the second icon, the first will recreate a second icon when you use it. But if you unmount the first icon, the second icon will behave properly, and will not recreate a further icon.

Having suffered it myself, I can confirm the time-out problem reported earlier is also real - and (speculation) it may possibly have something to do with the password time out built in to gnome to permit root tasks.

This bug may be being difficult because there seem to be many different ways users can trigger different effects. The security = user and security = share issue may have come about because they show the bug in slightly different lights. I only have security = user an all my samba servers, and I see many of the effects posted by others. Since it all came about at the same time - with Hardy - the assumption that there are two different bugs might be counter-productive - or it might have been when the problem first surfaced. (Such assumptions can become self-fulfilling.)

Hopefully we have one team looking at the whole problem.

And hopefully, this contribution helps.

Chris

de_pele (depele) wrote :

I just want to confirm this bug.

Is there a workaround?

Sebastien Bacher (seb128) wrote :

the bug still lack a clear description on how to trigger the issue, I've a lan disk, debian and ubuntu servers and all can be browsed correctly. Could anybody describe steps to configure a share which cause issue on a stock ubuntu installation? The lack of clear description make the bug hard to being worked

Sebastien,
Have you tried to set the "security=share" on a samba server that is
under your control?

Tien,
On Wed, 2008-05-28 at 15:00 +0000, Sebastien Bacher wrote:

> the bug still lack a clear description on how to trigger the issue, I've
> a lan disk, debian and ubuntu servers and all can be browsed correctly.
> Could anybody describe steps to configure a share which cause issue on a
> stock ubuntu installation? The lack of clear description make the bug
> hard to being worked
>

I can't say how to dupe it using Samba shares, but I believe Tien's suggestion of using "security=share" would do it.

Any share requiring authentication should cause this problem to occur. Nautilus won't prompt for credentials, and displays a blank folder when one tries to access a share. In Windows AD- it apparently tries to repeatedly access the server using the Ubuntu login name without a password, which results in the user's account being locked-out (assuming the Ubuntu user name matches an AD user name).

The work-around is to use the "Connect to Server" dialog, but it is necessary to specify a share name, and it falsely reports that the share could not be mounted, even though it will then show up in the Places list.

Prior to Hardy- shares could be accessed with ease just by browsing them through the "Network" Place. If one tried accessing a password-protected share- they would be prompted to provide user credentials, which could optionally be saved to the Gnome Keyring.

My understanding, from a previous post by Sebastien on one of the many duplicates of this bug, is that this is a problem with gvfs and it is supposedly being worked on...

I really wish someone would get this fixed. It has pretty much killed my push to roll out Ubuntu in a corporate environment.

Sebastien Bacher (seb128) wrote :

again the authentification issue is different of the "unable to mount" issue which is described there and is bug #207072

I tried to set security=share yes and to connect to user directories using the password set using smbpassword and that work correctly, setting security=share doesn't set any share though and I'm not sure how to define a share and set a password then, could somebody who knows that describe how to set up a share clearly?

wolfwitch (wolf-mylunarden) wrote :

Sorry, you are correct. While it appears to be related, and started occurring with the gvfs authentication issue, it is not the exact same problem.

Sebastien,

Here is the steps that I did:
1/ Verify that /etc/samba/sbm.conf has the line: security=user
2/ Create a share on my folder /home/myname/Public. I right licked on
the folder and select Sharing Options and then check the box "Share this
folder"
3/ Go to another computer that has Hardy desktop installed. Open
Nautilus and hit Ctrl-L to enter smb://samba-host-ip
4/ I will get a password dialog and after entering proper username and
password, I will get access to the Public share as expected.
5/ Now unmount this samba share.
6/ Go to the samba server computer and edit the smb.conf file to change
to "security = share", then "sudo /etc/init.d/samba restart"
7/ Go back to the Hardy desktop computer and enter the same
"smb://samba-host-ip" this time you will get an empty window, no share
listed. But if you enter "smb://samba-host-ip/Public" then you will get
the password dialog.
8/ Enter the proper password dialog here and you will get the "Failed to
mount..." error dialog.

Hope this help you recreate the problem. I am sure hope to have this bug
resolved soon! Let me know if you need more info.

Cheers,

On Wed, 2008-05-28 at 17:38 +0000, Sebastien Bacher wrote:

> again the authentification issue is different of the "unable to mount"
> issue which is described there and is bug #207072
>
> I tried to set security=share yes and to connect to user directories
> using the password set using smbpassword and that work correctly,
> setting security=share doesn't set any share though and I'm not sure how
> to define a share and set a password then, could somebody who knows that
> describe how to set up a share clearly?
>

I added a comment before. I updated Hardy just a few minutes ago. Now the behaviour re connecting to samba-shares seems to have changed.
- When I browse the network (Places/Network) I see the Workgroup, then after clicking that the samba server and after clicking the share. Clicking the share opens a dialogbox where I can enter a userid and a password (also a workgroupname but that does not seem to make any difference). The share then opens, desktop icon is also shown.

But when I choose Places/Connect to server I get a different result.
1.Choose Windows Share from drop down box, and fill in share name and username. click connect.
2. in new dialogbox, fill in password.
3. warning box appears. Can't display location "smb://192.168.2.91/sharename/" and "the specified location is not mounted". A desktop icon is shown however
4. clicking the desktop icon shows a dialogbox to enter username and password (and groupname but again that does nit seem to make any difference).
5. the share opens and a second desktop icon is shown. clicking either icon opens the share.

I have a laptop and upgraded from gutsy. the samba share uses security=user.

Hope this helps. Although I might be in the wrong forum cause this forum is addressing the security-share setting. Oops. Sorry.

Regards
Pieter van der Ploeg

Hi, I am fairly new to the linux world, and recently installed Ubuntu 8.0.4. I hope I am posting this on the correct thread. I am having the same "Failed to mount Windows share" issue. In my case I am connecting a D-Link network storage DSM-G600. There is no way for me to make any changes to the configurations on the storage device. So, I really need this to be working.

I just wanted to make sure that I reported the bug as well. Anxiously waiting for a resolution.

thanks

@ haiiyaa & Sebastien

I am using DSM-G600 as well and I that was when I discovered and
reported this problem. I can confirm with Sebastien that by changing the
smb.conf file to use "security = user" then the problem goes away. So
there must be a problem where gvfs handling

@ haiiya,

Turn out that there is a way (or hack) for you to modify the smb.conf
file since DSM-G600 is just a Linux samba server. But this is not the
place for me to post work around for any specific device. I you like,
send me a message to tienhn at gmail dot com and I will send you the
procedure to do this.

Cheers,

On Sat, 2008-05-31 at 15:54 +0000, haiiyaa wrote:

> Hi, I am fairly new to the linux world, and recently installed Ubuntu
> 8.0.4. I hope I am posting this on the correct thread. I am having the
> same "Failed to mount Windows share" issue. In my case I am connecting a
> D-Link network storage DSM-G600. There is no way for me to make any
> changes to the configurations on the storage device. So, I really need
> this to be working.
>
> I just wanted to make sure that I reported the bug as well. Anxiously
> waiting for a resolution.
>
> thanks
>

I encounter the same situation.
The scenario :
Use "connect to server" to connect to a windows share, enter user & password;
Use the icon created on the desktop to browse the newly connected share. I get "Unable to mount location , failed to mount windows share".
HOWEVER, and here comes the interesting part :
I can open a terminal window and
cd ~/.gvfs
There you will find your perfectly mounted share, you can enter it, ls and cd in it and so on.
So, it seems that the mount is actually done but somehow the GUI thinks the mount failed...

ohyeahqqq (ohyeahq) wrote :

Hi,
I came across this problem, and found some info that might be a solution.

According to the cool guy tracing back to the source, the trouble is that Hardy's Samba is built with the option -Bsymbolic-functions, which was caused by dpkg-buildpackage having LDFLAGS default = -Wl,-Bsymbolic-functions.

The detailed story (in Japanese though) is in:

http://d.hatena.ne.jp/dayflower/20080526/1211784989

He says he already posted it to dpkg@Ubuntu launchpad.

Just hoping it could be of some help. Cheeeeeers

luisan82 (luisan82) wrote :

I had same problem with nautilus and smb shares password protected by a NAS.
Problem was solved after updating pre-released updates (hardy proposed). I know is not a good solution to whom are using a LTS distro cause they need a very stable system, but problem get solved.

Chers!

Paul Bartell (paul-bartell) wrote :

installing the gvfs-bin package solved this problem for me. IT probably needs to be added as a dependency somewhere (possibly to the gnome-vfs package?)

Damien Dunlop (djd) wrote :

To access passworded windows shares froma fresh install of Ubuntu 8.04, the following worked for me:

Add the following line to /etc/samba/smb.conf:

client lanman auth = yes

On Thu, Jun 05, 2008 at 02:48:58AM -0000, Damien Dunlop wrote:
> To access passworded windows shares froma fresh install of Ubuntu 8.04,
> the following worked for me:

> Add the following line to /etc/samba/smb.conf:

> client lanman auth = yes

This option is relevant only to accessing shares served by Win9x systems; to
the best of my knowledge, it should have no effect on Samba shares using
security=share.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Damien Dunlop: A huge thanks to you dear friend. I added the line at the end of my smb.conf file and it worked out for me. I am using Hardy on a Windows share at work.

Cheers !

Nitty (gritty) wrote :

OK, after much reading and doing and undoing, I still cannot connect to windows (xp) server shares from Hardy but, I can from Feisty (laptop).

I have tried

1-Add the following line to /etc/samba/smb.conf:

client lanman auth = yes

2-installed gnome-vfs package

3- remove and re-install samba and samba-common and smbclient
using --purge

4- installed smbfs

5- uninstalling SAMBA and replacing my 'smb.conf' with 'maintainer version'.

Only way to view the windows server shares:

1-typing in the server/share name in the address bar

2-adding a (symlink?) under Places-> Connect to Server-> Windows Share

Does anyone have an exact solution please. I thought this would have been resolved by now or a solid workaround put in place.

Now there was an update just yesterday 6/5/08 (June 5th) for samba and it asked me if I wanted to keep the old file and I said yes.

helllllllllllp.... as I fall down a cliff clinging to my laptop because it's the only one that work as it should... Hardy? hmmm. not pleased with the result of this issue.

Miguel

Miguel,

On Fri, Jun 06, 2008 at 06:55:13PM -0000, Miguel wrote:
> OK, after much reading and doing and undoing, I still cannot connect to
> windows (xp) server shares from Hardy but, I can from Feisty (laptop).

In what manner are you trying to connect to those shares? According to your
message, you've made a large number of changes to your configuration which
are completely unrelated to this bug report, which is specifically about
accessing SMB shares through the desktop (i.e., nautilus). To help you find
a workaround for your specific problem requires first understanding what it
is, precisely, that you're trying to achieve.

Breaking down the changes you've tried:

> 1-Add the following line to /etc/samba/smb.conf:

> client lanman auth = yes

This is only relevant when attempting to connect to servers which use old,
insecure password hashes (Win9x and earlier, or Unix-based servers running
very, very old versions of Samba - versions that, I would add, are
completely unsupported by upstream in terms of security).

> 2-installed gnome-vfs package

I'm not sure which package this refers to precisely, as there is no binary
package named 'gnome-vfs' in the archive. However, I believe this would
only be useful as a debugging tool, as the current nautilus is integrated
with gvfs rather than gnome-vfs.

> 3- remove and re-install samba and samba-common and smbclient
> using --purge

The only package in this list which is involved with share browsing on the
desktop is samba-common; but it would be extraordinary if any problems you
were experiencing were caused by a mis-installation here.

> 4- installed smbfs

This package is only relevant to kernel-level mounts; it won't help with
browsing shares from the desktop, except as a very awkward workaround.

> Only way to view the windows server shares:

> 1-typing in the server/share name in the address bar

> 2-adding a (symlink?) under Places-> Connect to Server-> Windows Share

So this leaves me absolutely puzzled as to what *isn't* working for you. If
you are able to connect to the shares by this method, then I don't believe
your problem is related to the complaint of the original user. It needs to
be addressed in a separate bug report - possibly one that's already been
opened, but without a more complete description of your problem, I don't
know which.

Hi Steve,

Thanks for the informative education. I have been trying anything possible based on what other (Hardy) users have posted as a fix or a 'try this' as it worked for them.

Using Nautilus, when I select my windows server icon under 'Network Servers', Nautilus returns a '0' items available with a blank screen. When I do the same under Feisty, Nautilus displays the shares of my windows server. That is it.

If I type the smb://server/share in the location bar of Nautilus, then the contents of the share are displayed.

When I do:
smbclient -L jessie
I get:

Domain=[JESSIE] OS=[Windows 5.1] Server=[Windows 2000 LAN Manager]

    Sharename Type Comment
    --------- ---- -------
    E$ Disk Default share
    IPC$ IPC Remote IPC
    D$ Disk Default share
    print$ Disk Printer Drivers
    Documents Disk
    2170WXP Printer Laser Printer
    Data Disk
    MH Disk
    AdobePDF Printer Adobe PDF
    G$ Disk Default share
    Photos n Videos Disk
    F$ Disk Default share
    Music Disk
    ADMIN$ Disk Remote Admin
    H$ Disk Default share
    C$ Disk Default share
    iTunes Disk
Domain=[JESSIE] OS=[Windows 5.1] Server=[Windows 2000 LAN Manager]

    Server Comment
    --------- -------

    Workgroup Master
    --------- -------
In Fiesty, Nautilus display the shared shares only of course and not the Default Shares ie: E$, F$, G$ and so on.

I would like to have the same results I had with Feisty and I don't understand why I don't. I do apologize if I misunderstood the original post's bug description. I thought it depicted my exact issue. I will search again for a more concise duplicate issue as mine. If you can point me to one that would also be appreciated.

Thank in advance,
Miguel

Pablo Estigarribia (pablodav) wrote :

Men! this is really bad....
How is possible that we have an stable version, LTS version of Ubuntu with this bug for users?
I tried to work with KDE4 works fine for smb://server list correctly the folders.
In other way I love this version of Ubuntu for me everything is fine!! pulseaudio, xserver, webcam, network manager is great! I have lot of applications and this on my desktop working really well.
I unistalled KDE4 because it has more bug and crashes sometimes.
I want to wait until this bug will be fixed before install this version of Ubuntu to my family and other people on my city. for that I'm here to look so close this bug.

I'm quite a newbie, but came across this problem myself. I seem to get some progress with gnome commander, but still cannot open root system shares (i.e. C$). If a fix comes around will it be automatically downloaded as an update???

hnz (hnz) wrote :

I experienced this issue as well when accessing a Windows XP Pro SP3 machine from Ubuntu 8.04 LTS. Disabling simple file sharing on the XP box (http://support.microsoft.com/kb/307874) resolved the issue and I can now access both shared drives and C$, D$, etc.

Spoonman (dr-terisch) wrote :

i also tried to do this on WinXP SP3 but i already had simple file sharing disabled from beginning but had these troubles anyway...

rshane (info-basexvi) wrote :

The problem here seems to be confined to Nautilus. I used SmbK4 (on gnome actually) and it is fine with the shares. this is a good work around but it doesn't address the problem. There was an update to Nautilus yesterday and since the update, it ceases to function. Before that, I didn't have any issues. For the moment, this work around functions but I am perplexed as to the actual issue.

Blue (vali-dragnuta) wrote :

The bug title is improper, as the problem does not happen only with "security=share".
Someone should change that.

Sebastien Bacher (seb128) wrote :

the upstream bug indicates that some issues are due to libsmbclient, also using nautilus-share on a directory and changing the security option is not enough to trigger the bug, having clear instructions on how to trigger the bug on a standard installation would be really useful

DrC (drcowsley) wrote :

Sebastien - did my post

https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/209520/comments/77

not help?

I too believe the title is misleading, but I may have found the reason why it seems like a 'security=share' issue. With security=user the intricacies of the problem become apparent when your user name on the client is different from the samba account name on the server.

With security=share this is always the case.

But this is clearly a complex issue, and I might be making more out of my bit of evidence than it warrants. I wonder how many other users see the problem when client user name and samba account name are different?

Chris

Sebastien Bacher (seb128) wrote :

the connect to server issue is bug #216104

Rudolf Reuter (reuterr) wrote :

Hello,
my Ubuntu 0804 is actual updated.
In /etc/samba/smb.conf I have "security = user".
I try from Ubuntu to work with a windows share.
When I try in Nautilus smb://host-name I get no windows shares to see.
When I try in Nautilus smb://192.168.17.xx I can see my windows shares.
Then, if I click on a share name, I get a login box with my user name. When I key in the password and hit enter, I can access all files.
The host-name was setup in /etc/hosts and works with "ping host-name".
I hope this will help in debugging.
Greeting, Rudi

Tien Nguyen (tienhn) wrote :

Rudolf,
Just to verify one thing here. Is the file /etc/samba/smb.conf reside on the client Ubuntu computer? Or is it on the Samba server which offer the shared folder?

If it is on the client Ubuntu computer then is the option "security = user" means nothing.

Cheers,

Rudolf Reuter (reuterr) wrote :

Hello Tien,
Sorry to confuse you. Client: Ubuntu 0804 , Server: Windows XP
On both systems the same user and password was set (on Ubuntu also smbpasswd).
I just tried to give as much useful information as possible.
Greetings, Rudi

Tien Nguyen (tienhn) wrote :

Rudolf,

Thanks for your clarification. In my previous post https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/209520/comments/69 the option "security = user" only refer to the Samba server setting. I have positive proof that this option on the server indeed fix the authentication problem for Hardy Samba client. Any other symtomps are separate issues and it makes this bug more confusing and hard to track.

So if the developer can focus on this authentication issue, he/she may be able to fix (at least) one problem.

Cheers,

Steve Langasek (vorlon) wrote :

In the end, the explanation for being unable to connect to servers using share-level security is very straightforward. If I configure a samba server here for security=share and connect with smbclient, I see the following:

$ smbclient //borges/pub
Password:
Domain=[DNSG] OS=[Unix] Server=[Samba 3.0.30]
Server not using user level security and no password supplied.
Server requested LANMAN password (share-level security) but 'client use lanman auth' is disabled
tree connect failed: SUCCESS - 0
$

The use of lanman authentication has been disabled on both client and server in Ubuntu 8.04 because it's substantially weaker that NTLM passwords, and therefore more vulnerable to decryption attacks of the network traffic. To be precise, the man page for smb.conf says:

          This parameter determines whether or not smbclient(8) and other
          samba client tools will attempt to authenticate itself to servers
          using the weaker LANMAN password hash. If disabled, only server
          which support NT password hashes (e.g. Windows NT/2000, Samba,
          etc... but not Windows 95/98) will be able to be connected from the
          Samba client.

          The LANMAN encrypted response is easily broken, due to it’s case-
          insensitive nature, and the choice of algorithm. Clients without
          Windows 95/98 servers are advised to disable this option.

          Disabling this option will also disable the client plaintext auth
          option

I didn't remember that share-level security was restricted to lanman password authentication, but now that I see that, this failure to connect makes sense. It is not accidental that the client refuses to negotiate security in such a situation; I still believe this is the correct default for libsmbclient to use in hardy, because enabling weak authentication in the client doesn't just make it possible to use older servers, it also makes it possible for a man-in-the-middle attacker to trick your client into using weak authentication when trying to talk to a newer server, compromising other passwords in the process.

As a workaround, users who need to access security=share servers can add 'client lanman auth = yes' to the [global] section of /etc/samba/smb.conf on their hardy client systems, to enable negotiation of this weak authentication protocol.

For nautilus/gvfs, there definitely should be a better feedback mechanism about this problem, so that users get some indication of why the connection has failed.

Changed in gvfs:
status: New → Triaged

Chris,

On Thu, May 08, 2008 at 01:17:07PM -0000, DrC wrote:

> Thanks for the clarification.

> a) Do I need to repost in the 207072 thread or will the information
> already have got there?

> b) If I should repost, Is mine a different bug or is it a consequence
> of the same bug? Even having asked for authentication, nautilus does
> not always offer/use it.

Having drilled down into each of these bugs now, I'm quite sure that your
bug is the same as bug #207072. You may want to subscribe to that bug to
track its progress, but I don't believe we're missing any other information
needed to resolve it.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Steve Langasek (vorlon) wrote :

Miguel,

On Fri, Jun 06, 2008 at 10:18:20PM -0000, Miguel wrote:
> Using Nautilus, when I select my windows server icon under 'Network
> Servers', Nautilus returns a '0' items available with a blank screen.
> When I do the same under Feisty, Nautilus displays the shares of my
> windows server. That is it.

> If I type the smb://server/share in the location bar of Nautilus, then
> the contents of the share are displayed.

It sounds like you may be experiencing bug #207072, another frequently
reported bug.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Benjamim A. Janeiro

I confirm the exact same problem. Used to work in 7.10, just upgraded to test 8.04 and unable to mount windows share.

It seems a quite important problem for users who are running ubuntu at work when the network is a windows one.

Steve Langasek (vorlon) wrote :

After extensive discussion on IRC, it's been decided to roll back the samba client security changes at least until the predominant desktop client can provide a better feedback mechanism for such problems. SRU upload should follow shortly.

Changed in samba:
assignee: nobody → vorlon
importance: Undecided → High
status: New → In Progress
Steve Langasek (vorlon) on 2008-06-19
Changed in samba:
milestone: none → ubuntu-8.04.1
Steve Langasek (vorlon) wrote :

marking as 'wontfix' for intrepid because we should probably just deal with this on the gvfs side there.

Changed in samba:
status: New → Won't Fix
Steve Langasek (vorlon) on 2008-06-19
Changed in nautilus:
milestone: ubuntu-8.04.1 → none
status: Confirmed → Invalid
status: Confirmed → Invalid
Martin Pitt (pitti) wrote :

Accepted into -proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in gvfs:
status: Triaged → Fix Committed
Changed in samba:
milestone: ubuntu-8.04.1 → none
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Whoops, overzealous script. Setting back gvfs task.

Changed in gvfs:
status: Fix Committed → Triaged
Steve Langasek (vorlon) wrote :

After extensive discussion on IRC, it's been decided to roll back the samba client security changes at least until the predominant desktop client can provide a better feedback mechanism for such problems. SRU upload should follow shortly.

Changed in samba:
milestone: none → ubuntu-8.04.1
status: Fix Committed → In Progress
status: In Progress → Fix Committed
Steve Langasek (vorlon) on 2008-06-21
description: updated
Sebastien Bacher (seb128) wrote :

I've updated the example name in the config to correspond to the commands used and I can confirm than before the update clients can't connect, after the update connecting using smbclient, smb or nautilus works correctly, and changing the client lanman auth option brings the system back to the situation before upgrade

description: updated
description: updated
Tien Nguyen (tienhn) wrote :

Sebastien,
I am a bit unclear bout your last post and Steve last post. Is there a recommend update or smb.conf work around? Please advise.
Thanks,

Tien,

On Sat, Jun 21, 2008 at 03:54:34PM -0000, Tien Nguyen wrote:

> I am a bit unclear bout your last post and Steve last post. Is there a recommend update or smb.conf work around? Please advise.

An update to the samba package is in progress which will roll back the
default client settings to something a bit more user-friendly, until such
time as the gvfs module can be extended to give better feedback. This
updated package is currently available in the hardy-proposed repository, and
we're in the process of validating it for inclusion in the 8.04.1 point
release.

You are welcome to install the package by enabling the hardy-proposed
repository on your system, per the directions linked from
<https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/209520/comments/117>.

Cheers,
--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Updated the gvfs and samba related packages from hardy-proposed. Trying to reach a Windows Server 2003 share in an Active Directory domain environment through Nautilus' "Connect to Server..." resulted in the following message box after supplying the login info:

"Sorry, couldn't display all the contents of "smb": The specified location is not mounted"

Upon reloading the same Nautilus window, it produced the original "Unable to mount" message. Both before and after the update, connecting to a share on the server with smbclient works as intended (using the -U and -W arguments to specify login info).

I have talked about this to Sebastien Bacher earlier this month, but I guess it should be made public that I have talked to my supervisor at work about this and we can provide remote access to a Hardy box in a Windows Server 2003 domain environment for testing purposes. I would like to ask the developers to contact me if this will be needed and we will discuss the details in private.

Steve Langasek (vorlon) wrote :

Bálint,

I'm fairly certain that the bug you're seeing is not the same as the bug described in this report; I'm not sure it's even possible for Windows 2003 to be downgraded to lanman-only authentication. Perhaps your problem is related to bug #207072 instead?

Bálint Magyar (balintm) wrote :

Steve, I'm quite confused about which bug my experiences belong under, as my original bug #215570 has been marked as a duplicate of this bug twice. To be sure, Windows 2003 shares use NTLMv2 auth. Quite sure my problems are unrelated to #207072 as browsing seems to work fine, but not mounting or actually displaying contents of shares.

Nitty (gritty) wrote :

This has worked for me.... thank you for the update/roll back. I can browse windows servers again. Thank you Steve

Steve Langasek (vorlon) wrote :

ok, I've unmarked bug #215570 as a duplicate, since the symptoms don't fit either of these other two bugs and needs to be tracked down separately.

Steve Langasek (vorlon) wrote :

Copied to hardy-updates, thanks!

Changed in samba:
status: Fix Committed → Fix Released
Tiago Faria (gouki) wrote :

Still doesn't work for me.

Steve Langasek (vorlon) wrote :

Tiago,

Please file a new bug describing the issue you're experiencing, and provide the bug number here. This bug report is about a failure to connect to servers that require old password security methods, and has been resolved in hardy-updates; if you're still experiencing problems connecting to samba servers from hardy with all updates installed, that's unrelated to this bug.

Pablo Estigarribia (pablodav) wrote :

When access to windows 2003 server with smb://server I can't see shares, but if I try to acces my ubuntu it shows shares example, smb://localhost.
I want to know where this issue is originated and how to fix it.....

Pablo Estigarribia (pablodav) wrote :

When access to windows 2003 server with smb://win2003server I can't see shares, but if I try to acces my ubuntu it shows shares example, smb://localhost. Instead if I try to access some share with smb://win2003server/share it shows folders inside share correctly and I can access without errors.
I want to know where this issue is originated and how to fix it.....

On Fri, Jun 27, 2008 at 02:23:34AM -0000, Pablo Estigarribia wrote:
> When access to windows 2003 server with smb://win2003server I can't see
> shares, but if I try to acces my ubuntu it shows shares example,
> smb://localhost. Instead if I try to access some share with
> smb://win2003server/share it shows folders inside share correctly and I
> can access without errors.

That's bug #207072.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

sefs (sefsinc) wrote :

Hello I am unable to browse shares

1) on ubuntu 8.04 from a windows machine
2) on ubuntu 8.04 from it self
3) can see shares, but they will not mount when double clicked upon.

What am I to do here guys.

wolfwitch (wolf-mylunarden) wrote :

This whole mess is actually WORSE in Intrepid right now. In Hardy, there was at least the option of manually attaching to the share using the "Connect to server..." dialog. That doesn't work in Intrepid.(!) One gets the usual errant "Cannot display location..." error message, but it shows up in Places as mounted (just like in Hardy); however- double-clicking on the share to open it yields a very (un)helpful error message:

DBus error org.freedesktop.DBus.Error.InvalidArgs: Mountpoint Already registered

So now- I can't access my authenticated network shares at all.

Fortunately I'm running intrepid on a secondary machine- I realize it is only in Alpha right now, but I had expected at least SOME progress on this problem.

Tien Nguyen (tienhn) wrote :

IMHO, this whole smb:// access from nautilus is really not that great. It is fine for copying files but most applications are not compatible with this URL, so you can not drop the files with smb:// access into an application. Another example, if you using Google web mail to compose an e-mail and want to attach a file, you can browse to the smb:// share and click on the file URL but then Firefox does not translate the smb:// URL so it become useless!!

I might as well just use smbmount and mount it to a mount point. I really hope to see Nautilus/Ubuntu improve in this area.

:).

I have the following problem, testing with Ubuntu 8.10 Alpha 4+, trying to connect to a company SMB network server share. Nautilus tells me:

----
Could not display "smb://servername/myshare$/" - Einhängen des Ortes nicht möglich.
----

This worked ok when I used 8.04. However, nautilus shows the share as mounted (gets a shortcut on the left side, as a cd would which has been inserted into a local drive). When I press the "eject" (unmount) button for this share, I sometimes get the following error message:

----
Could not display "smb://servername/myshare$/". Fehler: DBus error org.freedesktop.DBus.Error.InvalidArgs: Mountpoint Already registered - Bitte wählen Sie einen anderen Betrachter und versuchen Sie es erneut.
----
I entered my account data the first time I tried to connect. Strangely enough, in the properties you can see how many files there are on this share and how much data there is all in all, but the file list cannot be displayed.

I reported this bug under https://bugs.launchpad.net/ubuntu/+source/samba/+bug/216465. However, going more into it, I think this was the wrong thread to report this to. Is this thread I am writing in now the right one, or should I open a new one?

gregphil (gregphil) wrote :

I also experience the ubuntu 8.04.1 inability to display shares from WindowsXp boxes , but it displays shares from CentOS 5.2 boxes just fine. On a parallel install (on another disk) of kubuntu 8.04.1 with Samba and all the other setting as identical as I can make them, the GUI browsing works in the KDU app Konquorer. HOWEVER to make this work I had to fix the /etc/hosts files. The "new format" DOES NOT WORK, even with smbtree or smbclient. It is necessary to add the NetBios name aliases to the 127.0.0.1 line, the entry on the 127.0.1.1 line is not seen or not understood. For example I use
127.0.0.1 localhost LIVING-ROOM LIVING-ROOM.MYGROUP
127.0.1.1 LIVING-ROOM.MYGROUP

Back in the ubuntu 8.04.1 install, the GUI browsing fails, but smbclient or smbtree can report all the shares. I am using the default encrypted passwords and security = user. The gnome nautilus network file browser (ver 2.22.3) will show the computers with shares on the network, but clicking on a Windows machine icon does NOT show the shares. If I switch the nautilus "Location" dialog to text, and append a valid share name to the computer name, such as smb://laptop/C, then a full successful mount is made and I can see and use the shared files. Once mounted, if I unmount and try again to click on a Windows machine icon it still fails to mount.

I think I have tried every possible combination of smb.conf auth entries (ntlmv2 auth = etc). It is really broken. Please fix........

Richard Rickwood (rickwookie) wrote :

Is this not caused by the same problem that causes bug 207072, which is fixed (for me at least) using the patch supplied there: http://launchpadlibrarian.net/15554213/80_samba_browsing_authentification.patch

I applied that patch to gvfs-0.99.8 and it cured all my nautilus smb woes.

Why this patch is not yet integrated I do not know. Surely the dozens of nautilus/smb bugs filed on lauchpad must have this common root.

Steve Langasek (vorlon) wrote :

> Is this not caused by the same problem that causes bug 207072

No, it is not. This bug is about incompatibility with servers that negotiate weak password encryption for connections, and it has been worked around by a change to the default settings for samba in Ubuntu 8.04. If your problem was fixed by the patch from bug #207072, then your problem is unrelated to this bug report.

Steve Langasek (vorlon) wrote :

marking 'wontfix' for gvfs in hardy; the gvfs side of this requires UI changes to detect the incompatibility (and possibly libsmbclient API changes as well), so this is too intrusive for 8.04.

Changed in gvfs:
status: Triaged → Won't Fix
Steve Langasek (vorlon) on 2008-10-06
Changed in gvfs:
status: New → Triaged

Is this a problem with Ubuntu 8.10, too?

No, I have not had this problem in 8.10

Ed

On Tue, October 28, 2008 2:07 pm, oss_test_launchpad said:
> Is this a problem with Ubuntu 8.10, too?
>
> --
> SMB error: Unable to mount location when server configured with security=share
> https://bugs.launchpad.net/bugs/209520
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Ed Covert
<email address hidden>

re https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/209520/comments/142

8.04 is a lts version. Is the 'won't fix' a long term decision that we hope will be overtaken by upstream developments?

Tien Nguyen (tienhn) wrote :

I just upgrade to 8.10 and the problem came back:

"Unable to mount location. Failed to mount Windows share"

Is there a fix for this?

Thanks,

RX8volution (rx8volution) wrote :

Hi folks - I was trying to fix this for hours, and have a (albeit idiotically simple) fix that worked for me:

on the client, /etc/samba/smb.conf file

[global]

# THE LANMAN FIX
  client lanman auth = yes
  client ntlmv2 auth = no

  Notice the word CLIENT in front of both of those... try to re-mount the smb share again and it all works nicely.

Cheers.

/Rafal

ubunturox (ubunturox-kk) wrote :

I confirm the problem in 8.10 with Windows Server 2003 & Windows Server 2000 authenticated shares. If I open nautilus and type in the location smb://....., works fine. Using Places->Connect to server throws up the error messages "No application is configured ..."

simtris (simtris) wrote :

Is there any changes, any care of the developpers ? I don't see any responses.
I switched on debian lenny beacause of this bug, this issue never happened.
We have smbclient 2:3.2.5

Sebastien Bacher (seb128) wrote :

could you try on jaunty? bug #193232 and bug #207072 got fixed this week and once those changes get testing and are confirmed to work intrepid and hardy backported will be worked

Steve Langasek (vorlon) wrote :

There are numerous responses in this bug from developers. But I think you're following up to the wrong bug; this bug most certainly affects Debian lenny as well.

Yes, it most certainly does effect Debian as well.

My desktop has this problem (Ubuntu Intrepid) and I cannot connect to my D-Link DNS-323 NAS unless I mount it manually from the command prompt. I did try all of the suggestions here. I can see the server, I can see the share, I get prompted for log in info, and then I see empty folder with the message about not being able to display contents of the share.

My Laptop, running Debian Etch worked fine until I did some apt-pinning to pull newer stuff in from Lenny & Sid. I ended up needing to pull Gnome in from Lenny. And now I'm having the same results - cant access the smb share unless mounted via command prompt.

For now, I'm watching and trying new things as they come up - until it's fixed I'm just using the ftp service on the DNS-323 (slightly inconvenient, but it works)

Sebastien Bacher (seb128) wrote :

could you try if that's still an issue in jaunty?

I won't be able to try untill this weekend. I'll swap my 250G HD in my laptop over to teh original 120g one and give it a shot and let you know.

Steve Langasek (vorlon) wrote :

Sebastien,

As I commented in <https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/209520/comments/111>, the change needed here is for the gvfs backend to detect when the connection has failed due to mismatched security requirements. Do you know if there has been work upstream to implement this? I would expect such a change to be reflected prominently in the cahngelog.

Sebastien Bacher (seb128) wrote :

Right, we discussed the issue some time ago thanks for pointing the comment Steve since the bug got quite some new comments since. I was just commenting on the different samba issues to know which ones have been fixed in the recent changes concerning authentification, that one didn't get any work though so the bug should still be there

Diver (diver) wrote :

This is a major bug for me, I can't migrate from 7.10 until this issue is fixed.
I just checked and Fedora 10 live (gnome) also have this problem.

Steve Langasek (vorlon) wrote :

This bug is marked as resolved in Ubuntu 8.04; are you sure this is the bug you're seeing? You don't give any details about the problem you're having.

Diver (diver) wrote :

Steve, to be sure I just tested 9.04 alpha4 in VirtualBox

gvfs-mount smb://user@server/my-share
Password required for share my-share on my-host
User [myuser]:
Domain [MSHOME]:
Password:
Error mounting location: Failed to mount Windows share

After changing
security = share
to
security = user
in smb.conf on a server and restarting samba, I'm trying again:

gvfs-mount smb://user@server/my-share
Password required for share my-share on my-host
User [myuser]:
Domain [MSHOME]:
Password:

At this point my-share is mounted and all is good, but windows users can't connect to this server anymore
cmd->net view server
cause an error and I have to revert smb.conf changes.

I am sure the same happend with 8.10, when I tried it a week ago and then I found this bug and subscribed to it.
HTH.

Steve Langasek (vorlon) wrote :

oh - sorry, you mentioned upgrading from 7.10 so I assumed you were running 8.04. Yes, for 8.10 and above the default samba client behavior matches upstream's, and doesn't allow insecure security=share connections by default.

You can change the behavior on the client side by setting 'client lanman auth = yes' on the client's /etc/samba/smb.conf, as mentioned earlier in the bug report.

The only reason this bug is open is for gvfs to provide a better error message when trying to connect to such a server - the client will still refuse to connect to such servers by default, for security reasons.

Diver (diver) wrote :

Thanks Steve, it's working now,
Now if only nautilus (and gvfs) showed clear error message, or even ask to enable client lanman auth.

summary: - SMB error: Unable to mount location when server configured with
- security=share
+ unclear error when lanman authentication is refused on the server
Changed in gvfs (Ubuntu):
assignee: nobody → desktop-bugs
importance: High → Low
Changed in gvfs:
status: Unknown → New
Trab (trab) wrote :

Hello All,

I had a similar issue in 9.04 trying to access a SMB NAS share. The solution I found was to add the following lines to /etc/samba/smb.conf under global (I haven't tried with only some of the lines, so one or the other may be unnecessary)

client lanman auth = Yes
lanman auth = Yes
client ntlmv2 auth = no

Hope this helps someone

Martin Erik Werner (arand) wrote :

Same as Trab above. Connecting to SMB NAS, on 9.04:

user@Comp:~$ smbclient //192.168.1.3/sharename -U user password
Domain=[ȇ] OS=[] Server=[���]
Server requested LANMAN password (share-level security) but 'client lanman auth' is disabled
tree connect failed: SUCCESS - 0

If adding to /etc/samba/smb.conf:
client lanman auth = Yes

Above command works (and gives me:
Domain=[ȇ] OS=[] Server=[���]
smb: \>

I have been fully able to connect to this share using nautilus (path smb://192.168.1.3/sharename)

Sean Cleary (seanearlyaug) wrote :

It is now Oct of 09.
The 9.10 version is coming out.
I still have this problem.
Please fix it.

Steve Langasek (vorlon) wrote :

You understand that the outstanding bug here is about the clarity of the error message only? lanman authentication is still insecure, and won't be re-enabled by default; if your goal is to actually connect to servers requiring lanman authentication, you will have to reconfigure your /etc/samba/smb.conf by hand.

Download full text (3.7 KiB)

It now works, and I do not know how or why.
This is a major problem. I can not easily recommend a system that does
not have a easy way to hook up to other house hold computers.
You say solved, and after changing that file, rebooting server and PC a
few times, it did work.
Still, what a mess for anyone, as just a month ago I was trying nearly
everything and did not find your article.
There are many puzzled noob Ubuntu users with this problem out there.
Have mercy, or just give up the idea that Ubuntu is easy to use.
Is there anyway that you can use a program (windows speak= wizard) that
would configure this itself?
Maybe one that can use the info in the windows wizard generated files to
configure every machine on the local net?
Sean
On Sat, 10 Oct 2009 19:02:35 -0000 Steve Langasek
<email address hidden> writes:
> You understand that the outstanding bug here is about the clarity of
> the
> error message only? lanman authentication is still insecure, and
> won't
> be re-enabled by default; if your goal is to actually connect to
> servers
> requiring lanman authentication, you will have to reconfigure your
> /etc/samba/smb.conf by hand.
>
> --
> unclear error when lanman authentication is refused on the server
> https://bugs.launchpad.net/bugs/209520
> You received this bug notification because you are a direct
> subscriber
> of the bug.
>
> Status in gvfs: New
> Status in �gvfs� package in Ubuntu: Triaged
> Status in �nautilus� package in Ubuntu: Invalid
> Status in �samba� package in Ubuntu: Won't Fix
> Status in gvfs in Ubuntu Hardy: Won't Fix
> Status in nautilus in Ubuntu Hardy: Invalid
> Status in samba in Ubuntu Hardy: Fix Released
>
> Bug description:
> Binary package hint: nautilus
>
> I just updated Ubuntu 8.04.
> Whenever I make a connection to the Window share, I got this error
> dialog:
>
> Unable to mount location
> Failed to mount Windows share
>
> With and OK button.
>
> ProblemType: Bug
> Architecture: i386
> Date: Sun Mar 30 21:19:59 2008
> DistroRelease: Ubuntu 8.04
> ExecutablePath: /usr/bin/nautilus
> NonfreeKernelModules: nvidia
> Package: nautilus 1:2.22.1-0ubuntu1
> PackageArchitecture: i386
> ProcEnviron:
>
>
PATH=/home/username/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin
:/sbin:/bin:/usr/games
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: nautilus
> Uname: Linux 2.6.24-12-generic i686
>
> TEST CASE:
>
> 1) install the samba package
> 2) configure 'security = share' and 'lanman auth = yes' in the
> [globals] section of /etc/samba/smb.conf
> 3) add a user account to the server (e.g., with 'sudo adduser
> user')
> 4) set a password for this (insecure!) account with 'sudo smbpasswd
> user'
> 5) add a share which points to this user, e.g.:
> [user]
> comment = Test share
> path = /home/user
> writable = yes
> guest ok = no
> user = user
> 6) with the hardy version of the libsmbclient package installed,
> test the following:
> a) smbclient //localhost/user
> should return
> Server not using user level security and no password supplied.
> Server requested LANMAN password (share-level security) but
> 'client use la...

Read more...

Download full text (4.1 KiB)

Sean,
If you don't want to deal with command line typing, check out webmin package.
Cheers

On Saturday, October 10, 2009, Sean Cleary <email address hidden> wrote:
> It now works, and I do not know how or why.
> This is a major problem. I can not easily recommend a system that does
> not have a easy way to hook up to other house hold computers.
> You say solved, and after changing that file, rebooting server and PC a
> few times, it did work.
> Still, what a mess for anyone, as just a month ago I was trying nearly
> everything and did not find your article.
> There are many puzzled noob Ubuntu users with this problem out there.
> Have mercy, or just give up the idea that Ubuntu is easy to use.
> Is there anyway that you can use a program (windows speak= wizard) that
> would configure this itself?
> Maybe one that can use the info in the windows wizard generated files to
> configure every machine on the local net?
> Sean
> On Sat, 10 Oct 2009 19:02:35 -0000 Steve Langasek
> <email address hidden> writes:
>> You understand that the outstanding bug here is about the clarity of
>> the
>> error message only?  lanman authentication is still insecure, and
>> won't
>> be re-enabled by default; if your goal is to actually connect to
>> servers
>> requiring lanman authentication, you will have to reconfigure your
>> /etc/samba/smb.conf by hand.
>>
>> --
>> unclear error when lanman authentication is refused on the server
>> https://bugs.launchpad.net/bugs/209520
>> You received this bug notification because you are a direct
>> subscriber
>> of the bug.
>>
>> Status in gvfs: New
>> Status in �gvfs� package in Ubuntu: Triaged
>> Status in �nautilus� package in Ubuntu: Invalid
>> Status in �samba� package in Ubuntu: Won't Fix
>> Status in gvfs in Ubuntu Hardy: Won't Fix
>> Status in nautilus in Ubuntu Hardy: Invalid
>> Status in samba in Ubuntu Hardy: Fix Released
>>
>> Bug description:
>> Binary package hint: nautilus
>>
>> I just updated Ubuntu 8.04.
>> Whenever I make a connection to the Window share, I got this error
>> dialog:
>>
>> Unable to mount location
>> Failed to mount Windows share
>>
>> With and OK button.
>>
>> ProblemType: Bug
>> Architecture: i386
>> Date: Sun Mar 30 21:19:59 2008
>> DistroRelease: Ubuntu 8.04
>> ExecutablePath: /usr/bin/nautilus
>> NonfreeKernelModules: nvidia
>> Package: nautilus 1:2.22.1-0ubuntu1
>> PackageArchitecture: i386
>> ProcEnviron:
>>
>>
> PATH=/home/username/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin
> :/sbin:/bin:/usr/games
>>  LANG=en_US.UTF-8
>>  SHELL=/bin/bash
>> SourcePackage: nautilus
>> Uname: Linux 2.6.24-12-generic i686
>>
>> TEST CASE:
>>
>> 1) install the samba package
>> 2) configure 'security = share' and 'lanman auth = yes' in the
>> [globals] section of /etc/samba/smb.conf
>> 3) add a user account to the server (e.g., with 'sudo adduser
>> user')
>> 4) set a password for this (insecure!) account with 'sudo smbpasswd
>> user'
>> 5) add a share which points to this user, e.g.:
>>   [user]
>>         comment = Test share
>>         path = /home/user
>>         writable = yes
>>         guest ok = no
>>         user = user
>> 6) with the hardy version of the libsmbclient packa...

Read more...

nermin1001 (nermin-b) on 2009-11-12
Changed in nautilus (Ubuntu):
assignee: nobody → nermin1001 (nermin-b)
Steve Langasek (vorlon) on 2009-11-12
Changed in nautilus (Ubuntu):
assignee: nermin1001 (nermin-b) → nobody
Changed in gvfs:
importance: Unknown → Medium
Changed in gvfs:
status: New → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.